use strict;
use warnings;
use Module::Build;

my $builder = Module::Build->new(
    module_name        => 'Gdraw2',
    license            => 'perl',
    dist_author        => q{Xi Yang <yangx@im.ac.cn>},
    dist_version_from  => 'lib/Gdraw2/Version.pm',
    dist_abstract      => 'Drawing genome graphs in various ways',
    configure_requires => { 'Module::Build' => 0.38 },
    build_requires     => { 'Test::More' => 0 },
    requires           => {
        'common::sense'  => 0,
        'File::ShareDir' => 0,
        'Cairo'          => 0,
        'Gtk2'           => 0,
        'Moose'          => 0,
        'Scalar::Util'   => 0,
        'Bio::SeqIO'     => 0,
        'YAML'           => 0
    },
    share_dir          => 'data',
    add_to_cleanup     => ['Gdraw2-*'],
    create_makefile_pl => 'traditional',
);

$builder->create_build_script();
