package Gdraw2::Element::AbstractMapping;

use threads::shared;
use common::sense;
use Moose;

use Gdraw2::Element::AbstractElement;

extends 'Gdraw2::Element::AbstractElement';

has extStart => (
	is        => 'rw',
	isa       => 'Int',
	metaclass => 'Recordable',
	default   => 1
);

has extEnd => (
	is        => 'rw',
	isa       => 'Int',
	metaclass => 'Recordable',
	default   => 1
);

has extGroupIndex => (
	is        => 'rw',
	isa       => 'Int',
	metaclass => 'Recordable',
	default   => 0
);

has extTrackIndex => (
	is        => 'rw',
	isa       => 'Int',
	metaclass => 'Recordable',
	default   => 0
);

sub extGroup {
	my $self = shift;
	my $page = $self->getTrackPage;
	return $page->getChildAt( $self->extGroupIndex );
}

sub extTrack {
	my $self      = shift;
	my $ext_group = $self->extGroup;
	return $ext_group->getChildAt( $self->extTrackIndex );
}

1;
