package Gdraw2::Util::SharedObject;

use threads::shared;
use Moose;

use Scalar::Util qw/refaddr blessed/;

around new => sub {
	my $orig  = shift;
	my $class = shift;

	my $self = $class->$orig(@_);
	return bless( shared_clone($self), ref($self) );
};

sub addr {
	my $self = shift;
	return is_shared($self) || refaddr($self);
}

sub equals {
	my ( $self, $comp ) = @_;
	if ( !defined $comp ) { return 0 }
	else {
		return addr($self) eq addr($comp)
	}
}



1;
