#!/usr/bin/perl

use strict;
use feature qw/say/;
use threads;
use threads::shared;

use Gdraw2::Util::Arranger;
use Gdraw2::Element::AbstractElement;

use Test::More tests => 2;

use YAML;

say "create element 1";
my $ele1 = Gdraw2::Element::AbstractElement->new(
	displayName => 'ele 1',
	position    => shared_clone [ 1, 15, 10 ]
);

say "create element 2";
my $ele2 = Gdraw2::Element::AbstractElement->new(
	displayName => 'ele 2',
	position    => shared_clone [ 21, 30 ]
);

say "create element 3";
my $ele3 = Gdraw2::Element::AbstractElement->new(
	displayName => 'ele 3',
	position    => shared_clone [ 10, 20 ]
);

say "create element 4";
my $ele4 = Gdraw2::Element::AbstractElement->new(
	displayName => 'ele 4',
	position    => shared_clone [ 35, 45 ]
);

say "create arranger";
my $arranger = Gdraw2::Util::Arranger->new();
$arranger->addChild($ele1);
$arranger->addChild($ele2);

ok( $arranger->overlaps($ele3),  "overlap" );
ok( !$arranger->overlaps($ele4), "not overlap" );
