#!/usr/bin/perl

use common::sense;

use Gdraw2::CairoTrack;
use Gdraw2::CairoTrackGroup;
use Gdraw2::CairoTrackPage;
use Gdraw2::Element::CairoMapping;

use Gdraw2::Util::RGBAColor;

use Math::Trig qw/pi pi2/;

my $surface = Cairo::SvgSurface->create( 'circ_mapping.svg', 600, 600 );
my $cr = Cairo::Context->create($surface);

my $page = Gdraw2::CairoTrackPage->new(
	cairoContext => $cr,
	width        => 600,
	height       => 600,
	groupDistance => 50,
	textFont     => 'Arial',
	textSize     => 8,
	isCircular   => 1
);

my $groupA = Gdraw2::CairoTrackGroup->new(
	start => 1,
	end   => 1000
);
$page->addChild($groupA);

my $trackA = Gdraw2::CairoTrack->new(
	start => 1,
	end   => 1000
);
$groupA->addChild($trackA);

my $groupB = Gdraw2::CairoTrackGroup->new(
	start         => 1,
	end           => 100,
	circEndIndent => pi * 1.7
);
$page->addChild($groupB);

my $trackB = Gdraw2::CairoTrack->new(
	start => 1,
	end   => 100
);
$groupB->addChild($trackB);

my $map = Gdraw2::Element::CairoMapping->new(
	position => [1,100],
	extStart => 25,
	extEnd   => 125,
	extGroupIndex => 0,
	extTrackIndex => 0,
	fillColor => Gdraw2::Util::RGBAColor->new(1,0,1,0)
);

$trackB->addChild($map);

$page->draw;

