#!/usr/bin/perl

use common::sense;

use Gdraw2::CairoTrackPage;
use Gdraw2::CairoTrackGroup;
use Gdraw2::CairoTrack;
use Gdraw2::Element::CairoBlock;
use Gdraw2::Util::RGBAColor;
use Math::Trig qw/pi pi2/;

my $surface = Cairo::SvgSurface->create( 'group_layout.svg', 1000, 1000 );
my $cr = Cairo::Context->create($surface);

my $page = Gdraw2::CairoTrackPage->new(
	cairoContext => $cr,
	groupDistance => 30,
	width        => 1000,
	height       => 1000,
	textFont     => 'Arial',
	textSize     => 8,
	isCircular   => 1
);

for my $i ( 0 .. 5 ) {
	my $left        = $i * 100;
	my $right       = 1000 - $left - 130;
	my $startIndent = $i / 20 * pi2;
	my $endIndent   = pi2- $startIndent -pi2 / 10;
	say "#-- create group: $startIndent, $endIndent";
	my $group = Gdraw2::CairoTrackGroup->new(
		leftMargin      => $left,
		rightMargin     => $right,
		circStartIndent => $startIndent,
		circEndIndent   => $endIndent,
		start           => 1,
		end             => 200
	);
	$page->addChild($group);
	my $track = Gdraw2::CairoTrack->new(
		start => 1,
		end   => 200
	);
	$group->addChild($track);
	$track->addChild(
		Gdraw2::Element::CairoBlock->new(
			position  => [ 1,                             50, 101, 200 ],
			fillColor => Gdraw2::Util::RGBAColor->new( 0, 0,  1,   0.5 )
		)
	);
}

$page->draw;
